summaryrefslogtreecommitdiff
path: root/t/t5400-send-pack.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t5400-send-pack.sh')
-rwxr-xr-xt/t5400-send-pack.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/t/t5400-send-pack.sh b/t/t5400-send-pack.sh
index 19a8f122c7..2c142dfeb0 100755
--- a/t/t5400-send-pack.sh
+++ b/t/t5400-send-pack.sh
@@ -18,7 +18,7 @@ test_expect_success setup '
do
sleep 1 &&
commit=$(echo "Commit #$i" | git-commit-tree $tree -p $parent) &&
- parent=$commit || exit
+ parent=$commit || return 1
done &&
echo "$commit" >.git/HEAD &&
git clone -l ./. victim &&
@@ -31,7 +31,7 @@ test_expect_success setup '
do
sleep 1 &&
commit=$(echo "Rebase #$i" | git-commit-tree $tree -p $parent) &&
- parent=$commit || exit
+ parent=$commit || return 1
done &&
echo "$commit" >.git/HEAD &&
echo Rebase &&
@@ -52,3 +52,5 @@ test_expect_success \
git-send-pack --force ./victim/.git/ master &&
cmp victim/.git/refs/heads/master .git/refs/heads/master
'
+
+test_done